Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Default_ORTC.h File Reference

`#include "tao/ObjRefTemplate/ObjectReferenceTemplateC.h"`
`#include "portableserver_export.h"`

Include dependency graph for Default_ORTC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | OBV_TAO_Default_ORT
namespace | TAO
namespace | TAO_Default_ORT
## Defines
#define | TAO_EXPORT_MACRO TAO_PortableServer_Export
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE__VAR_OUT_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___OBV_CH_
#define | _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE__TRAITS_CH_
## Functions
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, TAO_Default_ORT::ObjectReferenceTemplate *)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, TAO_Default_ORT::ObjectReferenceTemplate **)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TAO_Default_ORT::ObjectReferenceTemplate *&)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_Default_ORT::ObjectReferenceTemplate *)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_Default_ORT::ObjectReferenceTemplate *&)

## Define Documentation

#define _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE___OBV_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE__TRAITS_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE__VAR_OUT_CH_

#define _TAO_DEFAULT_ORT_OBJECTREFERENCETEMPLATE_CH_

#define TAO_EXPORT_MACRO TAO_PortableServer_Export

## Function Documentation

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TAO_Default_ORT::ObjectReferenceTemplate * |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | TAO_Default_ORT::ObjectReferenceTemplate ** |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | TAO_Default_ORT::ObjectReferenceTemplate * |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO_Default_ORT::ObjectReferenceTemplate *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | TAO_Default_ORT::ObjectReferenceTemplate *& |
| ) |